Index Source Files Annotated Class List Alphabetical Class List Class Hierarchy Graphical Class Hierarchy

# FIX::SocketCloseFailed Struct Reference

Socket close operation failed. More...

`#include <Exceptions.h>`

Inheritance diagram for FIX::SocketCloseFailed:
[legend]
Collaboration diagram for FIX::SocketCloseFailed:
[legend]

List of all members.

## Public Member Functions

| SocketCloseFailed ()
| SocketCloseFailed (const std::string &what)

## Detailed Description

Socket close operation failed.

Definition at line 289 of file Exceptions.h.

## Constructor & Destructor Documentation

FIX::SocketCloseFailed::SocketCloseFailed | ( |  | ) | `[inline]`

Definition at line 291 of file Exceptions.h.

    00291 {}

FIX::SocketCloseFailed::SocketCloseFailed | ( | const std::string & | what | ) | `[inline]`

Definition at line 292 of file Exceptions.h.

    00293     : SocketException( what ) {}

The documentation for this struct was generated from the following file:

- /home/omiller/Development/autobuild/quickfix/src/C++/Exceptions.h